FLANG

Public Member Functions | List of all members
Fortran::semantics::PointerAssignmentChecker Class Reference

## Public Member Functions
| PointerAssignmentChecker (evaluate::FoldingContext &context, parser::CharBlock source, const std::string &description)
| PointerAssignmentChecker (evaluate::FoldingContext &context, const Symbol &lhs)
PointerAssignmentChecker & | set_lhsType (std::optional< TypeAndShape > &&)
PointerAssignmentChecker & | set_isContiguous (bool)
PointerAssignmentChecker & | set_isVolatile (bool)
PointerAssignmentChecker & | set_isBoundsRemapping (bool)
bool | Check (const SomeExpr &)
template<typename... A>
parser::Message * | Say (A &&... x)

The documentation for this class was generated from the following file:

- lib/Semantics/pointer-assignment.cpp